import service from '@/utils/request'

export const getCameraList = (data) => {
    return service({
        url: '/camera/getCameraList',
        method: 'post',
        data: data
    })
}

export const addCamera = (data) => {
    return service({
        url: '/camera/addCamera',
        method: 'post',
        data: data
    })
}

export const setCameraInfo = (data) => {
    return service({
        url: '/camera/updateCamera',
        method: 'put',
        data: data
    })
}

export const deleteBaseCamera = (data) => {
    return service({
        url: '/camera/delCamera',
        method: 'delete',
        data: data
    })
}

export const getPublicGateway = () => {
    return service({
        url: '/gateway/getPublicGateway',
        method: 'get'
    })
}